Bug 860521 (mate-session-manager) - Review Request: mate-session-manager - MATE Desktop session manager
Summary: Review Request: mate-session-manager - MATE Desktop session manager
Status: CLOSED ERRATA
Alias: mate-session-manager
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: MATE-DE-tracker
TreeView+ depends on / blocked
 
Reported: 2012-09-26 04:01 UTC by Dan Mashal
Modified: 2012-10-15 00:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 00:47:55 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jens Petersen 2012-09-28 06:05:10 UTC
Fails to build in koji for rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4536257

+ ./autogen.sh
which: no mate-autogen in (/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin:/builddir/.local/bin:/builddir/bin)
You need to install mate-common from the MATE Git
RPM build errors:

Perhaps you need to BR mate-common?

Best to test building in mock or koji when submitting.

Comment 2 Dan Mashal 2012-09-29 19:08:22 UTC
Totally forgot mate-common. Thanks.

Comment 3 Dan Mashal 2012-09-29 20:44:09 UTC
OK fixed.

Please review.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-session-manager.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-session-manager-1.4.0-3.fc17.src.rpm
Description: MATE Desktop session manager

Comment 4 Dan Mashal 2012-10-03 01:51:05 UTC
Per our conversation, fixed some of the scriptlets, and the licensing. There is a bug in mate-conf-1.4.0-19 works fine with mate-conf-1.4.0-14, we know what to fix with that one.

This one should be good to go.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-session-manager.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-session-manager-1.4.0-4.fc17.src.rpm
Description: MATE Desktop session manager

Comment 5 Marcus Moeller 2012-10-03 10:59:01 UTC
This error is logged during login on a F18 installation with the above mate-session package installed:

mate-session[5574]: WARNING: Unable to determine session: Unable to lookup session information for process '5574'
mate-session[5574]: WARNING: Application 'marco.desktop' failed to register before timeout

Login takes quite long (about 10 seconds) and results in a desktop with one empty top panel (but I guess that may be related to mate-panel).

Comment 6 Dan Mashal 2012-10-03 20:37:29 UTC
^^install mate-panel and the rest of the RPMs

Comment 7 Rex Dieter 2012-10-03 22:49:57 UTC
naming: ok

sources: ok
7cac7ef39b72c814f549fa6f1f84a58d  mate-session-manager-1.4.0.tar.xz

license: ok

scriptlets: ok

1.  build: NOT ok, building locally I get:
Installed (but unpackaged) file(s) found:
/usr/share/doc/mate-session/dbus/mate-session.html
So, I'd suggest you SHOULD add:
BuildRequires: docbook
and possibly add --enable-docbook-docs build flag too


1's not a blocker, though, so APPROVED

Comment 8 Dan Mashal 2012-10-03 22:56:35 UTC
Thanks!

Comment 9 Dan Mashal 2012-10-03 22:57:53 UTC
New Package SCM Request
=======================
Package Name: mate-session-manager
Short Description: MATE Desktop session manager
Owners: rdieter vicodan
Branches: f16 f17 f18

Comment 10 Gwyn Ciesla 2012-10-04 11:22:00 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-10-04 18:53:33 UTC
mate-session-manager-1.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-session-manager-1.4.0-4.fc17

Comment 12 Fedora Update System 2012-10-04 18:54:21 UTC
mate-session-manager-1.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-session-manager-1.4.0-4.fc18

Comment 13 Fedora Update System 2012-10-05 00:56:40 UTC
mate-session-manager-1.4.0-4.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Dan Mashal 2012-10-15 00:47:55 UTC
not sure why bodhi isn't closing bugs but both f18 and f17 packages have been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.